petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESSetNPCSide

Sets the preconditioning side.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetNPCSide(SNES snes,PCSide side)

Logically Collective on SNES

### Input Parameter

snes -iterative context obtained from SNESCreate()

### Output Parameter

side -the preconditioning side, where side is one of

          PC_LEFT - left preconditioning
          PC_RIGHT - right preconditioning (default for most nonlinear solvers)

### Options Database Keys

-snes_pc_side <right,left> - Notes: SNESNRICHARDSON and SNESNCG only support left preconditioning.

### See Also

SNESGetNPCSide(), KSPSetPCSide()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages